'use strict';

var _commander = require('commander');

var _commander2 = _interopRequireDefault(_commander);

var _create = require('./cli/create');

var _create2 = _interopRequireDefault(_create);

var _build = require('./cli/build');

var _build2 = _interopRequireDefault(_build);

var _start = require('./cli/start');

var _start2 = _interopRequireDefault(_start);

var _logger = require('./logger');

var _logger2 = _interopRequireDefault(_logger);

var _package = require('../package.json');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

_commander2.default.version(_package.version);

_commander2.default.command('create [name]').description('create application with a name').action(function (name) {
  return (0, _create2.default)(name);
});

_commander2.default.command('build').description('build your application to public path').action(function () {
  return (0, _build2.default)();
});

_commander2.default.command('start').description('build and start the application').action(function () {
  return (0, _start2.default)();
});

_commander2.default.command('*').action(function () {
  return _logger2.default.warn('Wrong input');
});

_commander2.default.parse(process.argv);
//# sourceMappingURL=index.js.map